
Core - Task # 45132

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes
Task # 56376 (Resolved): Invalid relations of IRRE records in workspaces

Status: Rejected Priority: Should have
Author: Oliver Hader Category: IRRE
Created: 2013-02-04 Assigned To:
Updated: 2014-03-24 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Faulty translation behavior of IRRE using workspaces
Description

The translation behavior of IRRE child records on workspaces is wrong on plain new records.

Inline Relational Records editing used the most specific version of a record for references. In case of creating new records on a
workspace, a version placeholder record will be generated as well as a specific version to overlay that placeholder. Translations of a
record will copy the accordant record and refer to it by using the l18n_parent field ("transOrigPointerField" in TCA). For historic
reasons the uid of the placeholder record is used in that case instead of the most specific version - otherwise relations between
original and translation are not recognized in several places in TYPO3 (which is actually the real bug, but cannot be resolved easily on
the fly for historical reasons).

Thus, the bug fix is to use the uid of the placeholder record in those cases instead and to adopt the form view component of IRRE to
recognize those placeholders as translation parents as well.

Related issues:
related to Core - Task # 29278: Lost relations on copying IRRE children in wo... Rejected 2011-08-26
related to Grid Elements - Bug # 46749: Drag'n'drop child elements inside Gri... Rejected 2013-03-28
related to Grid Elements - Bug # 46747: Translating Childelements in Grid-Con... Rejected 2013-03-28
related to Core - Bug # 51651: Translated record shows title of relation in d... Closed 2013-09-02

History
#1 - 2013-02-04 13:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/17999

#2 - 2013-02-04 16:09 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/17999

#3 - 2013-02-05 12:02 - Gerrit Code Review
Patch set 3 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/17999

#4 - 2013-02-13 14:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18235

#5 - 2013-02-13 14:23 - Gerrit Code Review

Patch set 4 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/17999

#6 - 2013-03-04 10:11 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/18585

#7 - 2014-01-08 22:38 - Oliver Hader
- Parent task set to #54853
- Is Regression set to No

#8 - 2014-01-08 22:38 - Oliver Hader
- Assigned To deleted (Oliver Hader)

#9 - 2014-01-08 22:39 - Oliver Hader
- Status changed from Under Review to Needs Feedback

#10 - 2014-02-18 00:45 - Oliver Hader
- Status changed from Needs Feedback to On Hold

#11 - 2014-02-27 13:19 - Oliver Hader
- Parent task changed from #54853 to #56376

#12 - 2014-03-24 09:46 - Oliver Hader
- Status changed from On Hold to Rejected

Solved with issue #56376
